task VCFrename {
	File mother_vcf_gz
	File father_vcf_gz
	File twins_vcf_gz
	File mother_vcf_idx
	File father_vcf_idx
	File twins_vcf_idx
	String mother_name
	String father_name
	String family_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		echo "MOTHER ${mother_name}" > mother_rename.txt
		rtg vcfannotate -i ${mother_vcf_gz} -o ${mother_name}.rename.vcf.gz --relabel=mother_rename.txt

		echo "FATHER ${father_name}" > father_rename.txt
		rtg vcfannotate -i ${father_vcf_gz} -o ${father_name}.rename.vcf.gz --relabel=father_rename.txt

		echo "CHILD ${family_name}" > child_rename.txt
		rtg vcfannotate -i ${twins_vcf_gz} -o ${family_name}.twins.rename.vcf.gz --relabel=child_rename.txt
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File rename_mother_vcf_gz = "${mother_name}.rename.vcf.gz"
		File rename_father_vcf_gz = "${father_name}.rename.vcf.gz"
		File rename_twins_vcf_gz = "${family_name}.twins.rename.vcf.gz"
		File rename_mother_vcf_idx = "${mother_name}.rename.vcf.gz.tbi"
		File rename_father_vcf_idx = "${father_name}.rename.vcf.gz.tbi"
		File rename_twins_vcf_idx = "${family_name}.twins.rename.vcf.gz.tbi"
	}
}