task merge {
	Array[File] rename_mother_vcf_gz
	Array[File] rename_mother_vcf_idx
	Array[File] rename_father_vcf_gz
	Array[File] rename_father_vcf_idx
	Array[File] rename_twins_vcf_gz
	Array[File] rename_twins_vcf_idx
	String mapper_caller
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		rtg vcfmerge --force-merge-all --no-gzip -o LCL8.${mapper_caller}.sister.consistent.merged.vcf ${sep=" " rename_mother_vcf_gz}

		rtg vcfmerge --force-merge-all --no-gzip -o LCL7.${mapper_caller}.sister.consistent.merged.vcf ${sep=" " rename_father_vcf_gz}

		rtg vcfmerge --force-merge-all --no-gzip -o Twins.${mapper_caller}.sister.consistent.merged.vcf ${sep=" " rename_twins_vcf_gz}
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File mother_merged_vcf = "LCL8.${mapper_caller}.sister.consistent.merged.vcf"
		File father_merged_vcf = "LCL7.${mapper_caller}.sister.consistent.merged.vcf"
		File twins_merged_vcf = "Twins.${mapper_caller}.sister.consistent.merged.vcf"
	}
}
