task zipIndex {
	File mother_vcf
	File father_vcf
	File twins_vcf
	String family_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		rtg bgzip ${mother_vcf} -c > ${family_name}.LCL8.vcf.gz
		rtg index -f vcf ${family_name}.LCL8.vcf.gz

		rtg bgzip ${father_vcf} -c > ${family_name}.LCL7.vcf.gz
		rtg index -f vcf ${family_name}.LCL7.vcf.gz

		rtg bgzip ${twins_vcf} -c > ${family_name}.twins.vcf.gz
		rtg index -f vcf ${family_name}.twins.vcf.gz

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File mother_vcf_gz = "${family_name}.LCL8.vcf.gz"
		File father_vcf_gz = "${family_name}.LCL7.vcf.gz"
		File twins_vcf_gz = "${family_name}.twins.vcf.gz"
		File mother_vcf_idx = "${family_name}.LCL8.vcf.gz.tbi"
		File father_vcf_idx = "${family_name}.LCL7.vcf.gz.tbi"
		File twins_vcf_idx = "${family_name}.twins.vcf.gz.tbi"
	}
}